Summary:	Python Lex-Yacc
Name:		python-ply
Version:	3.8
Release:	1
License:	BSD-like
Group:		Development/Python
Url:		http://www.dabeaz.com/ply/
Source0:	https://pypi.python.org/packages/source/p/ply/ply-%{version}.tar.gz
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildArch:	noarch

%description
PLY is an implementation of lex and yacc parsing tools for Python.

In a nutshell, PLY is nothing more than a straightforward lex/yacc
implementation. Here is a list of its essential features:

 * It's implemented entirely in Python.
 * It uses LR-parsing which is reasonably efficient and well suited
   for larger grammars.
 * PLY provides most of the standard lex/yacc features including support
   for empty productions, precedence rules, error recovery, and support
   for ambiguous grammars.
 * PLY is straightforward to use and provides very extensive error checking.
 * PLY doesn't try to do anything more or less than provide the basic
   lex/yacc functionality. In other words, it's not a large parsing
   framework or a component of some larger system.

The original version of PLY was developed in 2001 for use in an
Introduction to Compilers course where students used it to build a
compiler for a simple Pascal-like language. Because of its use in an
instructional setting, a lot of work went into providing extensive
error checking. In addition, this experience was used to sort out
common usability problems. Since then, a variety of incremental
improvements have been made to the system. PLY-3.0 adds support for
Python 3.0 and gives PLY's internals a much needed overhaul.

%files
%doc CHANGES  TODO doc example test
%{py_puresitedir}/*

#----------------------------------------------------------------------------

%package -n python3-ply
Summary:	Python Lex-Yacc
Group:		Development/Python

%description -n python3-ply
PLY is an implementation of lex and yacc parsing tools for Python.

In a nutshell, PLY is nothing more than a straightforward lex/yacc
implementation. Here is a list of its essential features:

 * It's implemented entirely in Python.
 * It uses LR-parsing which is reasonably efficient and well suited
   for larger grammars.
 * PLY provides most of the standard lex/yacc features including support
   for empty productions, precedence rules, error recovery, and support
   for ambiguous grammars.
 * PLY is straightforward to use and provides very extensive error checking.
 * PLY doesn't try to do anything more or less than provide the basic
   lex/yacc functionality. In other words, it's not a large parsing
   framework or a component of some larger system.

The original version of PLY was developed in 2001 for use in an
Introduction to Compilers course where students used it to build a
compiler for a simple Pascal-like language. Because of its use in an
instructional setting, a lot of work went into providing extensive
error checking. In addition, this experience was used to sort out
common usability problems. Since then, a variety of incremental
improvements have been made to the system. PLY-3.0 adds support for
Python 3.0 and gives PLY's internals a much needed overhaul.

%files -n python3-ply
%doc CHANGES  TODO doc example test
%{py3_puresitedir}/*

#----------------------------------------------------------------------------

%prep
%setup -q -n ply-%{version}
rm -rf %{_builddir}/python3-ply
cp -a . %{_builddir}/python3-ply

%build
python setup.py build
pushd %{_builddir}/python3-ply
    python3 setup.py build
popd

%install
pushd %{_builddir}/python3-ply
    python3 setup.py install --root=%{buildroot}
popd
python setup.py install --root=%{buildroot}

%changelog

* Mon Dec 28 2015 dsilakov <denis.silakov@rosalab.ru> 3.8-1
- (f36caf5) Merge pull request #2 from import/python-ply:auto_update
- (f36caf5) Updated to 3.8 (by updates_builder)


